cdialect

```lua
cdialect "value"
```

### Parameters ###

`value` one of:

* `Default`: the default C dialect for the toolset
* `C89`: ISO C89
* `C90`: ISO C90
* `C99`: ISO C99
* `C11`: ISO C11
* `gnu89`: GNU dialect of ISO C89
* `gnu90`: GNU dialect of ISO C90
* `gnu99`: GNU dialect of ISO C99
* `gnu11`: GNU dialect of ISO C11

### Applies To ###

The `config` scope.

### Availability ###

Premake 5.0.0 alpha 12 or later.

### Examples ###

```lua
cdialect "value"
```

